Bug 237468 - WebRTC decoded frames are not correctly rotated in case GPU Process DOM rendering flag is set to true
Summary: WebRTC decoded frames are not correctly rotated in case GPU Process DOM rende...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-03-04 04:26 PST by youenn fablet
Modified: 2022-03-09 07:26 PST (History)
12 users (show)

See Also:


Attachments
Patch (10.70 KB, patch)
2022-03-08 08:10 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (10.77 KB, patch)
2022-03-08 08:24 PST, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (10.77 KB, patch)
2022-03-08 23:34 PST, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2022-03-04 04:26:44 PST
WebRTC decoded frames are not correctly rotated in case GPU Process DOM rendering flag is set to true
Comment 1 Radar WebKit Bug Importer 2022-03-04 04:27:16 PST
<rdar://problem/89807876>
Comment 2 youenn fablet 2022-03-04 04:28:01 PST
This happens with ToT WebKit currently.
I am not sure what is changing for MediaStreamTrack video renderer in case DOM rendering is turned on.
Comment 3 youenn fablet 2022-03-08 08:10:47 PST
Created attachment 454123 [details]
Patch
Comment 4 youenn fablet 2022-03-08 08:24:48 PST
Created attachment 454124 [details]
Patch
Comment 5 Eric Carlson 2022-03-08 08:38:15 PST
Comment on attachment 454124 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=454124&action=review

> Source/WebCore/ChangeLog:9
> +        We were creating remove video frames at webrtc decoder level but at that level, we do not know yet the rotation and timestamps of the frame.

s/remove/remote/
Comment 6 youenn fablet 2022-03-08 23:34:12 PST
Created attachment 454196 [details]
Patch for landing
Comment 7 EWS 2022-03-09 07:26:51 PST
Committed r291049 (248223@main): <https://commits.webkit.org/248223@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 454196 [details].